Package tigase.server.amp.action

## Class Broadcast

- java.lang.Object
- - tigase.server.amp.action.Broadcast

- All Implemented Interfaces:
    `AmpFeatureIfc`

      @Bean(name="broadcast",
            parent=AmpComponent.class,
            active=true)
      public class Broadcast
      extends java.lang.Object
      implements AmpFeatureIfc

  Author:
    andrzej

- - ### Field Summary

    - ### Fields inherited from interface tigase.server.amp.AmpFeatureIfc

      `ACTION_ATT, AMP_MSG_REPO_CLASS_PARAM, AMP_MSG_REPO_CLASS_PROP_KEY, AMP_MSG_REPO_URI_PARAM, AMP_MSG_REPO_URI_PROP_KEY, AMP_XMLNS, CONDITION_ATT, EXPIRED, FROM_CONN_ID, MSG_OFFLINE_PROP_KEY, OFFLINE, SESSION_JID, TO_CONN_ID, TO_RES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Broadcast()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getDefaults​(java.util.Map<java.lang.String,​java.lang.Object> params)` |
    `java.lang.String` | `getName()` |
    `boolean` | `preprocess​(Packet packet)` |
    `void` | `sendBroadcastMessage​(JID jid)` |
    `void` | `sendBroadcastMessage​(JID jid, MsgBroadcastRepository.BroadcastMsg msg)` |
    `void` | `setActionResultsHandler​(ActionResultsHandlerIfc handler)` |
    `void` | `setRepo​(MsgBroadcastRepositoryIfc repo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Broadcast

          public Broadcast()

  - ### Method Detail

    - #### preprocess

          public boolean preprocess​(Packet packet)

    - #### sendBroadcastMessage

          public void sendBroadcastMessage​(JID jid)

    - #### sendBroadcastMessage

          public void sendBroadcastMessage​(JID jid,
                                           MsgBroadcastRepository.BroadcastMsg msg)
                                    throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `AmpFeatureIfc`

    - #### getDefaults

          public java.util.Map<java.lang.String,​java.lang.Object> getDefaults​(java.util.Map<java.lang.String,​java.lang.Object> params)

    - #### setRepo

          public void setRepo​(MsgBroadcastRepositoryIfc repo)

    - #### setActionResultsHandler

          public void setActionResultsHandler​(ActionResultsHandlerIfc handler)